/** Vendor imports Go HERE */
import { Component, Input } from '@angular/core';
var ComponentSnippetComponent = /** @class */ (function () {
    function ComponentSnippetComponent() {
        this.githubEntries = [];
        this.githubKeys = {
            contributors: 'Contributors',
            forks: 'Forks',
            depRepos: 'Dependent Repos',
            stars: 'Stars',
            usage: 'Usage'
        };
        this.osioKeys = {
            usage: 'Usage'
        };
        this.showOSIOUsage = false;
    }
    ComponentSnippetComponent.prototype.ngOnInit = function () {
        this.paint();
    };
    ComponentSnippetComponent.prototype.ngOnChanges = function (changes) {
        var summary = changes['component'];
        if (summary) {
            this.component = summary.currentValue;
        }
        this.paint();
    };
    ComponentSnippetComponent.prototype.paint = function () {
        this.githubEntries = [];
        if (this.component) {
            if (this.component.github) {
                var github = this.component.github;
                var value = '';
                for (var key in github) {
                    if (key === 'users')
                        continue;
                    if (github.hasOwnProperty(key)) {
                        value = github[key];
                        value = value && value.toString() === '-1' ? 'NA' : value;
                        this.githubEntries.push({ key: this.githubKeys[key], value: value });
                    }
                }
            }
        }
    };
    ComponentSnippetComponent.decorators = [
        { type: Component, args: [{
                    selector: 'component-snippet',
                    styles: [require('./component-snippet.component.css').toString()],
                    template: require('./component-snippet.component.html')
                },] },
    ];
    /** @nocollapse */
    ComponentSnippetComponent.ctorParameters = function () { return []; };
    ComponentSnippetComponent.propDecorators = {
        'component': [{ type: Input },],
        'view': [{ type: Input },],
    };
    return ComponentSnippetComponent;
}());
export { ComponentSnippetComponent };
//# sourceMappingURL=component-snippet.component.js.map