/** Vendor imports Go HERE */
import { Component, Input } from '@angular/core';
/** Vendor imports Go HERE */
var NoDataComponent = /** @class */ (function () {
    function NoDataComponent() {
        this.title = '';
        this.description = '';
        this.TITLE_AND_DESCRIPTION = {
            'security': {
                title: 'No security issues',
                description: 'Openshift.io Analytics has not identified any security issues affecting the dependencies of this stack.'
            },
            'ins-usage': {
                title: 'No usage outliers',
                description: 'Openshift.io Analytics has not identified any usage outliers and has no suggestions for alternate dependencies for this stack.'
            },
            'lic-conflicts': {
                title: 'No license conflicts',
                description: 'Openshift.io Analytics could not find any conflicting licences in this stack.'
            },
            'comp-analyzed': {
                title: 'No analyzed dependencies',
                description: 'Openshift.io Analytics was unable to analyze any dependencies for this stack.'
            },
            'ins-companion': {
                title: 'No companion dependencies',
                description: 'Openshift.io Analytics has no suggestions for companion dependencies for this stack.'
            },
            'lic-unknown': {
                title: 'No unknown licenses',
                description: 'Openshift.io Analytics could not find any unknown licences in this stack.'
            },
            'comp-unknown': {
                title: 'No unknown dependencies',
                description: 'Openshift.io Analytics has analyzed all the dependencies in this stack.'
            },
        };
    }
    NoDataComponent.prototype.ngOnChanges = function (changes) {
        var summary = changes['identifier'];
        if (summary && summary['currentValue']) {
            this.identifier = summary['currentValue'];
            this.paint();
        }
    };
    NoDataComponent.prototype.paint = function () {
        if (this.identifier) {
            var configObject = this.TITLE_AND_DESCRIPTION[this.identifier];
            if (configObject) {
                this.title = configObject.title;
                this.description = configObject.description;
            }
        }
    };
    NoDataComponent.decorators = [
        { type: Component, args: [{
                    selector: 'no-data',
                    styles: [require('./no-data.component.css').toString()],
                    template: require('./no-data.component.html')
                },] },
    ];
    /** @nocollapse */
    NoDataComponent.ctorParameters = function () { return []; };
    NoDataComponent.propDecorators = {
        'identifier': [{ type: Input },],
    };
    return NoDataComponent;
}());
export { NoDataComponent };
//# sourceMappingURL=no-data.component.js.map