/** Vendor imports Go HERE */
import { Component, Input } from '@angular/core';
var ReportInformationComponent = /** @class */ (function () {
    function ReportInformationComponent() {
        this.componentDetails = null;
    }
    ReportInformationComponent.prototype.ngOnInit = function () {
    };
    ReportInformationComponent.prototype.ngOnChanges = function (changes) {
        var summary = changes['report'];
        if (summary) {
            this.report = summary.currentValue;
            this.paint();
        }
    };
    ReportInformationComponent.prototype.handleAccordion = function (event, componentDetail) {
        var elem = event.target;
        if (this.checkIfClickable(elem)) {
            this.closeAllButThis(componentDetail);
            if ((componentDetail.componentInformation && !componentDetail.componentInformation.needsExpansion) ||
                (componentDetail.recommendationInformation && componentDetail.recommendationInformation.componentInformation &&
                    !componentDetail.recommendationInformation.componentInformation.needsExpansion)) {
                return;
            }
            if (componentDetail.componentInformation) {
                componentDetail.componentInformation.isOpen = !componentDetail.componentInformation.isOpen;
            }
            if (componentDetail.recommendationInformation) {
                if (componentDetail.recommendationInformation.componentInformation) {
                    componentDetail.recommendationInformation.componentInformation.isOpen = !componentDetail.recommendationInformation.componentInformation.isOpen;
                }
            }
        }
    };
    ReportInformationComponent.prototype.checkIfClickable = function (elem) {
        if (elem && elem.classList && elem.classList.contains('toggler')) {
            return true;
        }
        elem = elem.parentNode;
        return (elem && elem.classList && elem.classList.contains('toggler'));
    };
    ReportInformationComponent.prototype.paint = function () {
        if (this.report) {
            if (this.report.componentDetails && this.report.componentDetails.length > 0) {
                this.componentDetails = this.report.componentDetails;
            }
        }
    };
    ReportInformationComponent.prototype.closeAllButThis = function (componentDetail) {
        if (this.componentDetails) {
            this.componentDetails.forEach(function (cdetail) {
                if (cdetail !== componentDetail) {
                    if (cdetail.componentInformation) {
                        cdetail.componentInformation.isOpen = false;
                    }
                    if (cdetail.recommendationInformation) {
                        if (cdetail.recommendationInformation.componentInformation) {
                            cdetail.recommendationInformation.componentInformation.isOpen = false;
                        }
                    }
                }
            });
        }
    };
    ReportInformationComponent.decorators = [
        { type: Component, args: [{
                    selector: 'report-information',
                    styles: [require('./report-information.component.css').toString()],
                    template: require('./report-information.component.html')
                },] },
    ];
    /** @nocollapse */
    ReportInformationComponent.ctorParameters = function () { return []; };
    ReportInformationComponent.propDecorators = {
        'report': [{ type: Input },],
        'genericInformation': [{ type: Input },],
        'repoInfo': [{ type: Input },],
    };
    return ReportInformationComponent;
}());
export { ReportInformationComponent };
//# sourceMappingURL=report-information.component.js.map