import { Component, EventEmitter, Input, Output, ViewChild } from '@angular/core';
import { PipelineInsightsService } from './pipeline-insights.service';
import { Injectable } from '@angular/core';
import { Http } from '@angular/http';
import 'rxjs/add/operator/map';
import { TimerObservable } from 'rxjs/observable/TimerObservable';
var PipelineInsightsComponent = /** @class */ (function () {
    // public alive: boolean = true;
    function PipelineInsightsComponent(pipelineInsightsService, http) {
        this.pipelineInsightsService = pipelineInsightsService;
        this.http = http;
        this.onStackResponse = new EventEmitter();
        this.flag = false;
        this.flag1 = false;
        this.interval = 7000;
    }
    PipelineInsightsComponent.prototype.geturl = function () {
        var _this = this;
        var subs = null;
        var alive = true;
        var counter = 0;
        if (this.url && this.url !== '') {
            if (this.stackUrl === this.url) {
                return;
            }
            this.stackUrl = this.url;
            var observable_1 = this.pipelineInsightsService
                .getStackAnalyses(this.url);
            TimerObservable.create(0, this.interval)
                .takeWhile(function () { return alive; })
                .subscribe(function () {
                if (subs) {
                    subs.unsubscribe();
                }
                subs = observable_1.subscribe(function (data) {
                    if (data && (!data.hasOwnProperty('error') && Object.keys(data).length !== 0) && (data.statusCode === 200 || data.statusCode === 202)) {
                        alive = false;
                        subs.unsubscribe();
                        console.log(data);
                        console.log("Status  :" + typeof data.statusCode);
                        var response = data.result;
                        if (response.length > 0) {
                            for (var i = 0; i < data.result.length; ++i) {
                                var c = data.result[i];
                                if (c.user_stack_info) {
                                    if (c.user_stack_info.analyzed_dependencies) {
                                        for (var j = 0; j < c.user_stack_info.analyzed_dependencies.length; ++j) {
                                            var d = c.user_stack_info.analyzed_dependencies[j];
                                            if (d.security && d.security.length > 0) {
                                                _this.flag = true;
                                                break;
                                            }
                                        }
                                    }
                                }
                            }
                            for (var i = 0; i < data.result.length; ++i) {
                                var c = data.result[i];
                                if (c.user_stack_info) {
                                    if (c.user_stack_info.license_analysis) {
                                        var d = c.user_stack_info.license_analysis.status;
                                        console.log("d value" + d);
                                        if (d == "ComponentConflict") {
                                            _this.flag1 = true;
                                            break;
                                        }
                                        if (d == "StackConflict") {
                                            _this.flag1 = true;
                                            break;
                                        }
                                    }
                                }
                            }
                        }
                    }
                    if (data.statusCode !== 200 && data.statusCode !== 202) {
                        alive = false;
                        subs.unsubscribe();
                        _this.onStackResponse.emit(data);
                        console.log("Status  :" + data.statusCode);
                    }
                }, function (error) {
                    alive = false;
                });
                if (counter++ > 3) {
                    alive = false;
                }
            });
        }
    };
    PipelineInsightsComponent.prototype.ngOnInit = function () {
        this.geturl();
    };
    PipelineInsightsComponent.prototype.ngOnChanges = function (changes) {
        if (changes && changes['url'] && changes['url']['currentValue'] !== changes['url']['previousValue']) {
            this.geturl();
        }
    };
    PipelineInsightsComponent.decorators = [
        { type: Component, args: [{
                    selector: 'pipleine-insights-details',
                    providers: [PipelineInsightsService],
                    // encapsulation: ViewEncapsulation.None,
                    styles: [require('./pipeline-insights.component.css').toString()],
                    template: require('./pipeline-insights.component.html')
                },] },
        { type: Injectable },
    ];
    /** @nocollapse */
    PipelineInsightsComponent.ctorParameters = function () { return [
        { type: PipelineInsightsService, },
        { type: Http, },
    ]; };
    PipelineInsightsComponent.propDecorators = {
        'stack': [{ type: Input },],
        'buildNumber': [{ type: Input },],
        'appName': [{ type: Input },],
        'stackResponse': [{ type: Input },],
        'component': [{ type: Input },],
        'url': [{ type: Input },],
        'onStackResponse': [{ type: Output },],
        'modalStackModule': [{ type: ViewChild, args: ['stackModule',] },],
    };
    return PipelineInsightsComponent;
}());
export { PipelineInsightsComponent };
//# sourceMappingURL=pipeline-insights.component.js.map