/** Vendor imports Go HERE */
import { Component, Input } from '@angular/core';
import { SaveState } from '../../utils/SaveState';
var ReportSummaryCardComponent = /** @class */ (function () {
    function ReportSummaryCardComponent() {
    }
    ReportSummaryCardComponent.prototype.ngOnInit = function () {
        this.paintView();
    };
    ReportSummaryCardComponent.prototype.ngOnChanges = function (changes) {
        var summary = changes['card'];
        if (summary) {
            this.card = summary.currentValue;
            this.repaintView();
        }
    };
    ReportSummaryCardComponent.prototype.ngAfterContentInit = function () {
        if (this.isFromShortReport !== 'true' && SaveState.ELEMENTS[0]) {
            SaveState.ELEMENTS[0].click();
        }
    };
    ReportSummaryCardComponent.prototype.updateCard = function () {
        if (this.card) {
            this.reportSummaryTitle = this.card.reportSummaryTitle;
            if (this.isFromShortReport === 'true') {
                this.reportSummaryDescription = this.card.reportSummaryDescriptionShort;
            }
            else {
                this.reportSummaryDescription = this.card.reportSummaryDescription;
            }
            this.reportSummaryContent = this.card.reportSummaryContent;
            this.identifier = this.card.identifier;
        }
    };
    ReportSummaryCardComponent.prototype.paintView = function () {
        this.updateCard();
    };
    ReportSummaryCardComponent.prototype.repaintView = function () {
        this.paintView();
    };
    ReportSummaryCardComponent.decorators = [
        { type: Component, args: [{
                    selector: 'analytics-summary-card',
                    styles: [require('./report-summary-card.component.css').toString()],
                    template: require('./report-summary-card.component.html')
                },] },
    ];
    /** @nocollapse */
    ReportSummaryCardComponent.ctorParameters = function () { return []; };
    ReportSummaryCardComponent.propDecorators = {
        'card': [{ type: Input },],
        'isFromShortReport': [{ type: Input },],
    };
    return ReportSummaryCardComponent;
}());
export { ReportSummaryCardComponent };
//# sourceMappingURL=report-summary-card.component.js.map