import { Directive, ElementRef, HostListener } from '@angular/core';
import { SaveState } from '../../utils/SaveState';
var ReportSummaryCardDirective = /** @class */ (function () {
    function ReportSummaryCardDirective(elementRef) {
        this.elementRef = elementRef;
        this.stack = [];
        this.HIGHLIGHT = 'highlight';
        this.element = elementRef.nativeElement;
        SaveState.ELEMENTS.push(this.element);
    }
    ReportSummaryCardDirective.prototype.onCardClick = function () {
        this.removeAllOtherActives(this.element);
        this.element.classList.add(this.HIGHLIGHT);
    };
    ReportSummaryCardDirective.prototype.removeAllOtherActives = function (element) {
        var _this = this;
        if (SaveState && SaveState.ELEMENTS.length > 0) {
            SaveState.ELEMENTS.forEach(function (elem) {
                if (elem !== element) {
                    if (elem && elem.classList && elem.classList.contains(_this.HIGHLIGHT))
                        elem.classList.remove(_this.HIGHLIGHT);
                }
            });
        }
    };
    ReportSummaryCardDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[summaryCardClick]'
                },] },
    ];
    /** @nocollapse */
    ReportSummaryCardDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    ReportSummaryCardDirective.propDecorators = {
        'onCardClick': [{ type: HostListener, args: ['click',] },],
    };
    return ReportSummaryCardDirective;
}());
export { ReportSummaryCardDirective };
//# sourceMappingURL=report-summary-card.directive.js.map