/** Vendor imports Go HERE */
import { Component, Input } from '@angular/core';
import { ComponentFeedbackService } from './component-feedback.service';
var ComponentFeedbackComponent = /** @class */ (function () {
    function ComponentFeedbackComponent(feedbackService) {
        this.feedbackService = feedbackService;
        this.feedbackMessages = [];
        this.feedbackColorTypeUp = false;
        this.feedbackColorTypeDown = false;
    }
    ComponentFeedbackComponent.prototype.handleFeedback = function (event, type, colorType) {
        var _this = this;
        event.stopPropagation();
        if (this.feedback && this.feedback.feedbackTemplate) {
            this.feedback.feedbackTemplate.feedback_type = type;
            var subscription = this.feedbackService.postFeedback(this.feedback);
            if (subscription) {
                subscription.subscribe(function (result) {
                    _this.feedbackMessages.push({
                        text: 'Feedback successfully submitted',
                        iconClass: 'pficon-ok'
                    });
                });
            }
        }
        if (type) {
            if (colorType) {
                this.feedbackColorTypeDown = false;
            }
        }
        else {
            if (colorType) {
                this.feedbackColorTypeUp = false;
            }
        }
    };
    ComponentFeedbackComponent.prototype.ngOnChanges = function (changes) {
        var summary = changes['feedback'];
        if (summary) {
            this.feedback = summary.currentValue;
        }
    };
    ComponentFeedbackComponent.decorators = [
        { type: Component, args: [{
                    selector: 'component-feedback',
                    styles: [require('./component-feedback.component.css').toString()],
                    providers: [ComponentFeedbackService],
                    template: require('./component-feedback.component.html')
                },] },
    ];
    /** @nocollapse */
    ComponentFeedbackComponent.ctorParameters = function () { return [
        { type: ComponentFeedbackService, },
    ]; };
    ComponentFeedbackComponent.propDecorators = {
        'feedback': [{ type: Input },],
    };
    return ComponentFeedbackComponent;
}());
export { ComponentFeedbackComponent };
//# sourceMappingURL=component-feedback.component.js.map